- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# iap_token – Get token for the Itential Automation Platform

New in version 2.8.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Checks the connection to IAP and retrieves a login token.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
https boolean | Choices: no ← yes | Use HTTPS to connect By default using http
iap_fqdn - / required | Default: null | Provide the fqdn or ip-address for the Itential Automation Platform
iap_port - / required | Default: null | Provide the port number for the Itential Automation Platform
password - / required | Default: null | Provide the password for the Itential Automation Platform
username - / required | Default: null | Provide the username for the Itential Automation Platform
validate_certs boolean | Choices: no ← yes | If `no`, SSL certificates for the target url will not be validated. This should only be used on personally controlled sites using self-signed certificates.

## Examples

    - name: Get token for the Itential Automation Platform
      iap_token:
        iap_port: 3000
        iap_fqdn: localhost
        username: myusername
        password: mypass
      register: result

    - debug: var=result.token

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
token string | always | The token acquired from the Itential Automation Platform

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Itential (@cma0) <opensource@itential.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.